
smokeParticle
{
	cull none
	{
		map sprites/smokepuff.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
}

bulletParticleTrail
{
	cull none
	entityMergable
	{
		map sprites/bullettrail.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
}


smokeTrail
{
	cull none
	entityMergable
	{
		map sprites/smoketrail2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen 	vertex
		alphaGen vertex
	}
}

grenadeExplosion
{
	cull disable
	{
		animmap 7 gfx/colors/ablack.tga sprites/fire_sm_a.tga sprites/fire_sm_b.tga sprites/fire_sm_c.tga sprites/fire_sm_d.tga sprites/fire_sm_e.tga sprites/fire_sm_f.tga
		rgbGen wave inversesawtooth 0 1 0 7
		blendFunc GL_SRC_ALPHA GL_ONE
	}
	{
		animmap 7  sprites/fire_sm_a.tga sprites/fire_sm_b.tga sprites/fire_sm_c.tga sprites/fire_sm_d.tga sprites/fire_sm_e.tga sprites/fire_sm_f.tga gfx/colors/ablack.tga
		rgbGen wave sawtooth 0 1 0 7
		blendFunc GL_SRC_ALPHA GL_ONE
	}
}


rocketExplosion
{
	cull disable
	{
		animmap 7 gfx/colors/ablack.tga sprites/fire_sm_a.tga sprites/fire_sm_b.tga sprites/fire_sm_c.tga sprites/fire_sm_d.tga sprites/fire_sm_e.tga sprites/fire_sm_f.tga
		rgbGen wave inversesawtooth 0 1 0 7
		blendFunc GL_SRC_ALPHA GL_ONE
	}
	{
		animmap 7  sprites/fire_sm_a.tga sprites/fire_sm_b.tga sprites/fire_sm_c.tga sprites/fire_sm_d.tga sprites/fire_sm_e.tga sprites/fire_sm_f.tga gfx/colors/ablack.tga
		rgbGen wave sawtooth 0 1 0 7
		blendFunc GL_SRC_ALPHA GL_ONE
	}
}


// character on fire effect
entityOnFire1
{
	nopicmip
	nomipmap
	// give it some character
	deformVertexes wave 45 sin 0 10 0 -.6	// a negative frequency is for Z deformation based on normal
	cull none
	{	// flame top-side
		//animmapcomp 20 sprites/clnfire_lg/spr000.tga sprites/clnfire_lg/spr001.tga sprites/clnfire_lg/spr002.tga sprites/clnfire_lg/spr003.tga sprites/clnfire_lg/spr004.tga sprites/clnfire_lg/spr005.tga sprites/clnfire_lg/spr006.tga sprites/clnfire_lg/spr007.tga sprites/clnfire_lg/spr008.tga sprites/clnfire_lg/spr009.tga sprites/clnfire_lg/spr010.tga sprites/clnfire_lg/spr011.tga sprites/clnfire_lg/spr012.tga sprites/clnfire_lg/spr013.tga sprites/clnfire_lg/spr014.tga sprites/clnfire_lg/spr015.tga
		animmap 20 sprites/clnfire/spr000.tga sprites/clnfire/spr001.tga sprites/clnfire/spr002.tga sprites/clnfire/spr003.tga sprites/clnfire/spr004.tga sprites/clnfire/spr005.tga sprites/clnfire/spr006.tga sprites/clnfire/spr007.tga sprites/clnfire/spr008.tga sprites/clnfire/spr009.tga sprites/clnfire/spr010.tga sprites/clnfire/spr011.tga sprites/clnfire/spr012.tga sprites/clnfire/spr013.tga sprites/clnfire/spr014.tga sprites/clnfire/spr015.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		alphaGen normalzfade 1.0 -0.7 0.5
	}
}

entityOnFire2
{
	nopicmip
	nomipmap
	{
		//animmapcomp 20 sprites/clnfire_lg/spr000.tga sprites/clnfire_lg/spr001.tga sprites/clnfire_lg/spr002.tga sprites/clnfire_lg/spr003.tga sprites/clnfire_lg/spr004.tga sprites/clnfire_lg/spr005.tga sprites/clnfire_lg/spr006.tga sprites/clnfire_lg/spr007.tga sprites/clnfire_lg/spr008.tga sprites/clnfire_lg/spr009.tga sprites/clnfire_lg/spr010.tga sprites/clnfire_lg/spr011.tga sprites/clnfire_lg/spr012.tga sprites/clnfire_lg/spr013.tga sprites/clnfire_lg/spr014.tga sprites/clnfire_lg/spr015.tga
		animmap 20 sprites/clnfire/spr000.tga sprites/clnfire/spr001.tga sprites/clnfire/spr002.tga sprites/clnfire/spr003.tga sprites/clnfire/spr004.tga sprites/clnfire/spr005.tga sprites/clnfire/spr006.tga sprites/clnfire/spr007.tga sprites/clnfire/spr008.tga sprites/clnfire/spr009.tga sprites/clnfire/spr010.tga sprites/clnfire/spr011.tga sprites/clnfire/spr012.tga sprites/clnfire/spr013.tga sprites/clnfire/spr014.tga sprites/clnfire/spr015.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		alphaGen normalzfade 1.0 -0.7 1.3
	}
	{	// blue under-side
		map sprites/inferno_blue.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		//tcGen environment
		alphaGen normalzfade 1.0 -2.0 0.6
		//tcmod rotate 12
		//tcmod scroll 1 .2
	}
}

//done

blood_dot1
{
	polygonOffset
	{
		map sprites/blood_dot1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
blood_dot2
{
	polygonOffset
	{
		map sprites/blood_dot2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
blood_dot3
{
	polygonOffset
	{
		map sprites/blood_dot3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
blood_dot4
{
	polygonOffset
	{
		map sprites/blood_dot4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
blood_dot5
{
	polygonOffset
	{
		map sprites/blood_dot5.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

viewFlashBlood
{
	sort	nearest
	{
		//map *white
		map sprites/viewflash_red.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//rgbGen identityLighting
		alphaGen vertex
	}
}

viewFadeBlack
{
	sort	nearest
	{
		map			*white
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave square 0 0 0 0				// just solid black
		alphaGen entity
	}	
}

bloodTrail1
{
	cull disable
	{
		map models/weaphits/blood201.tga
		blendfunc blend
	}
}

bloodTrail2
{
	cull disable
	{
		map models/weaphits/blood202.tga
		blendfunc blend
	}
}

bloodTrail3
{
	cull disable
	{
		map models/weaphits/blood203.tga
		blendfunc blend
	}
}

bloodTrail4
{
	cull disable
	{
		map models/weaphits/blood204.tga
		blendfunc blend
	}
}

bloodTrail5
{
	cull disable
	{
		map models/weaphits/blood205.tga
		blendfunc blend
	}
}


viewFlashFire
{
	sort	nearest
	{
		//map *white
		animmap 20 sprites/inferno/inf0003.tga sprites/inferno/inf0004.tga sprites/inferno/inf0005.tga sprites/inferno/inf0006.tga sprites/inferno/inf0007.tga sprites/inferno/inf0008.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//blendFunc GL_SRC_ALPHA GL_ONE
		//rgbGen identityLighting
		alphaGen vertex
	}
}

bloodCloud
{
	cull none
	entityMergable
	{
		map sprites/bloodCloud.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

